VMS 1.15.x issues

It seems you're using an AdBlocker or JavaScript is disabled!

This sites offers only FREE software and it's supported by a few advertisement boxes (no intrusive popups).

This 10 seconds wait is to let you update your AdBlocker whitelist...

Got it, show me the content...
Please enable JavaScript!
Posts: 14
Joined: October 14, 2014 - 00:11
VMS 1.15.x issues

When i was testing VMS 1.15.x, i found some mistakes/drawbacks

  1. VMS 1.15.0 and 1.15.1 uses a bassmidi.dll version older than the one stated on the changelog (2.4.9.8 in 1.15.x vs 2.4.9.15 in 1.14.1's changelog) plus newest bassmidi.dll version is 2.4.9.21 (as now) and newest bass.dll version is 2.4.11.17 (as now). SFZ doesn't work unless you update the bass libraries
  2. SFZ support doesn't work well or even not all because of the outdated bass libraires (as stated in #1). I had to update them manually since i use some sfz soundfonts

Also i would recomend checking the un4seen repositories at least each two weeks.

www.un4seen.com/stuff/bass.zip
www.un4seen.com/stuff/bassmidi.zip

www.un4seen.com/stuff/*bass library*.zip

Carlos S. M. - Black MIDI Team Member
Channel: https://www.youtube.com/channel/UCgVv5sa3hZluRZ8AQdq5tEg

Posts: 1536
Joined: March 25, 2012 - 01:19
Re: VMS 1.15.x issues

Ooops, you're right; there was a bug in setup building script that somehow includes the wrong linked binaries.

The just released VMS 1.15.2 contains:

  • bass.dll: 2.4.11.17
  • bassmidi.dll: 2.4.9.21
  • virtualmidisynth.*: 1.15.2

Thanks for pointing it out.

PS: VMS 2.x wil be updated at next release.

Posts: 14
Joined: October 14, 2014 - 00:11
Re: VMS 1.15.x issues

I tested 1.15.2 and everything is fixed. i can't wait to test VMS 2.0 Beta1. A good tip can be each new dll relelased, overwirte the bass*.dll with the newer one

Carlos S. M. - Black MIDI Team Member
Channel: https://www.youtube.com/channel/UCgVv5sa3hZluRZ8AQdq5tEg